Update many

Updates many payable

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
≥ 0

If all the transactions where in an array, this would represent the index of the first item returned in the response

integer
≥ 0

If all the transactions where in an array, this would represent the index of the last item returned in the response

string
enum

The order method, which can be ascending or descending

Allowed:
string

The field used to sort, the example illustrates a response that would be sorted by the creation date

string

Only as an example of filtering results that have an amount less than $11000.
For more detailed explanation, go to the How to filter results section.

Body Params

update parameters

uuid
required

Required. If missing, the request fails with 412 Precondition Failed.

string
enum
required

Required. If missing, the request fails with 412 Precondition Failed. The scope of the update. If the scope is all, all the payables of the company (filtered by the query parameters) will be updated. Otherwise, only the payables with the ids provided in ids will be updated.

Allowed:
ids
array of uuids

The ids of the payables to update when the scope is not all.

ids
date-time
string
date-time

The scheduled/expected payment date to apply to the selected payables.

string
enum

Only applied for callers with the erp_tradables_manage permission on every selected payable's company; ignored otherwise.

Allowed:
boolean

Whether the payable has been discarded or not. A discarded payable will not be obtained in the index.

integer

The amount that has been paid for this payable. This amount is not necessarily the same as the total paid amount of the payable.

string
enum

Approval state to apply to the selected payables.

Allowed:
reviewers
array of objects

Reviewers to assign to the selected payables.

reviewers
custom_column_values
array of objects

Custom column values to set on the selected payables.

custom_column_values
Headers
uuid
required

UUID of the company on whose behalf the request is made. Required for every Pay endpoint.
See The company-id header for details on how to obtain
a value for this header and the error responses to expect when it is missing or invalid.

If the deprecated company_id query parameter is also sent, both values must match;
the API returns 422 Unprocessable Entity when they disagree.

Responses

401

Unauthorized

422

Unprocessable Entity

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json